Bug 1706921 - GnuTLS should implement continuous random test or use the kernel AF_ALG interface for random
Summary: GnuTLS should implement continuous random test or use the kernel AF_ALG inter...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: gnutls
Version: 8.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 8.0
Assignee: Daiki Ueno
QA Contact: Ondrej Moriš
URL:
Whiteboard:
Depends On:
Blocks: 1591651
TreeView+ depends on / blocked
 
Reported: 2019-05-06 14:01 UTC by Simo Sorce
Modified: 2019-11-05 22:26 UTC (History)
3 users (show)

Fixed In Version: gnutls-3.6.8-4.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:26:20 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gitlab gnutls/gnutls/merge_requests/1034 None None None 2019-06-21 14:11:33 UTC
Red Hat Product Errata RHSA-2019:3600 None None None 2019-11-05 22:26:42 UTC

Description Simo Sorce 2019-05-06 14:01:20 UTC
FIPS requires continuous tests of the input to the libraries CSPRNG but the kernel getrandom() (or /dev[u]random) interface does not do it.

Available options is to implement tests in the library or use the kernel AF_ALG DRBG source which wil have these tests implemented in kernel.

Comment 12 errata-xmlrpc 2019-11-05 22:26:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3600


Note You need to log in before you can comment on or make changes to this bug.